{% extends 'core/base.html' %}
{% load static %}


{% block content %}
<div id="list">
	<form id="share-list" method="POST">
	<div class="delete-user-name">
		{{ list_name }}
	</div>
	<div class="delete-user-username">
		{{ num_items }}
	</div>
		{% csrf_token %}
	<div class="checkbox-box">
		<label></label>
		<div class="checkbox-column-header">View Items</div>
		<div class="checkbox-column-header">Edit Items</div>
		<div class="checkbox-column-header">Edit List</div>
	</div>
	<div class="list-spacer"></div>
	{% for item in user_list %}
	<div class="checkbox-box">
		<label>{{ item.user.first_name }} {{ item.user.last_name }}</label>
		<input type="checkbox" name="{{ item.user.id }}-view_items" value="true" {% if item.view_items %}checked{% endif %} />
		<input type="checkbox" name="{{ item.user.id }}-edit_items" value="true" {% if item.edit_items %}checked{% endif %} />
		<input type="checkbox" name="{{ item.user.id }}-edit_list" value="true" {% if item.edit_list %}checked{% endif %} />
	</div>
	{% endfor %}
		<input type="submit" value="Save" />
	</form>
	<!-- BOTTOM MARGIN -->
	<!-- This is needed to malke sure the browser
		doesn't cover up the bottom of the page with controls. -->
	<div class="list-bottom-margin"></div>
</div>
{% endblock %}